FLICKRDF(1)

NAME
flickrdf - call Flickr API

SYNOPSIS
flickrdf [-d DELAY] [-a FROB] [-h] [-v]

DESCRIPTION
flickrdf is a utility that uses the photos.getInfo API to interpret the description fields and the tags for a photo URI into RDF triples. If raptor is present, it will be used to provide proper serializing to RDF rather than the built in and hacky ntriples/turtle output.

Machine tags when they are found are scanned for xmlns:prefix=uri and then all other machine tags with that prefix turn into triples. Several prefixes are also pre-defined by the library to automatically get turned into triples without an xmlns, such as blue:, cell:, filter: and geo:. Non-machine tags are not yet interpreted.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options and exit.

-v, --version
    Display the version of the program and exit.

-d DELAY, --delay DELAY
    Set delay between requests to DELAY milliseconds.

-D, --debug
    Print lots of debugging output.

-o, --output FORMAT
    Set output format to FORMAT. FORMAT is one of:
          ntriples N-Triples (default)
          turtle Turtle
          rdfxml-xmp RDF/XML (XMP Profile)
          rdfxml-abbrev RDF/XML (Abbreviated)
          rdfxml RDF/XML
          rss-1.0 RSS 1.0
          dot GraphViz DOT format The exact list depends on the version of Raptor that flickcurl is linked against.

SEE ALSO
/usr/share/doc/flickrdf/README.gz, flickcurl(1),libraptor(3).

AUTHOR
flickrdf was written by David Beckett.

This manual page was written by Kumar Appaiah <akumar@ee.iitm.ac.in>, for the Debian project (but may be used by others).